# -*- coding: utf-8 -*-
"""
/***************************************************************************
 OsmHiking
                                 A QGIS plugin
 This plugin helps to prepare maps for hiking.osm.be
 Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
                             -------------------
        begin                : 2021-07-12
        copyright            : (C) 2021 by Champs-Libres Coopérative
        email                : julien.minet@champs-libres.coop
        git sha              : $Format:%H$
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 This script initializes the plugin, making it known to QGIS.
"""


# noinspection PyPep8Naming
def classFactory(iface):  # pylint: disable=invalid-name
    """Load OsmHiking class from file OsmHiking.

    :param iface: A QGIS interface instance.
    :type iface: QgsInterface
    """
    #
    from .osm_hiking import OsmHiking
    return OsmHiking(iface)
